Subject: bug#67527: 30.0.50; FR: Add an option to disable ispell completion in text-mode

From: Daniel Mendler <[email-masked]>
Date: Sat, 16 Dec 2023 10:34:49 +0100

On 12/16/23 09:37, Eshel Yaron wrote:
> I surveyed a bunch of user configurations online, and saw that it is not
> that uncommon for people to globally enable automatic completion pop ups
> with company and corfu.  As Eason Huang reports, the new
> `ispell-completion-at-point` probably makes such pop ups rather noisy.
> 
> I see that Dmitry (CC'd) already addressed this in company (by skipping
> this capf).  I suppose corfu could do something along the same lines
> (CC'ing Daniel as well)...  Do you guys think that's a reasonable remedy?

Corfu does not modify the completion-at-point-functions variable itself.
It leaves that to the users and major mode authors.

Daniel